Get a Slack installation by id
GET
/v1/slack/installations/{id}
const url = 'https://your-notavia-host/v1/slack/installations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-notavia-host/v1/slack/installations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”Installation record.
Media type application/json
Represents a Slack workspace installation for an environment.
object
id
string format: uuid
team_id
Slack workspace team id (Txxxxxxxxx).
string
team_name
string
bot_user_id
Slack bot user id (Uxxxxxxxxx).
string
app_id
string
scopes
OAuth scopes granted to the bot token.
Array<string>
auto_join_public_channels
When true the dispatcher will attempt to join a public channel
(id starting with C) if the bot is not already a member.
boolean
installed_at
string format: date-time
installed_by_user_id
NotifyService user id who completed the OAuth flow.
string format: uuid
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "team_id": "example", "team_name": "example", "bot_user_id": "example", "app_id": "example", "scopes": [ "example" ], "auto_join_public_channels": true, "installed_at": "2026-04-15T12:00:00Z", "installed_by_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}